Skip to main content
GET
Check Inference Vault Access

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

id
string
required

Edge identifier.

Query Parameters

vault_boundary_id
string

The vaultBoundaryId field.

Response

200 - application/json

EdgeServiceCheckInferenceVaultAccessResponse reports the same Vault grant check Update runs before saving an inference route.

EdgeServiceCheckInferenceVaultAccessResponse reports the same Vault grant check Update runs before saving an inference route.

granted
boolean

The granted field.

openSecretEntitlementId
string

The Vault's OpenSecret entitlement on the C1 app. Empty when reason is VAULT_NOT_FOUND.

reason
enum<string>

The reason field.

Available options:
EDGE_INFERENCE_VAULT_ACCESS_REASON_UNSPECIFIED,
EDGE_INFERENCE_VAULT_ACCESS_REASON_GRANTED,
EDGE_INFERENCE_VAULT_ACCESS_REASON_NOT_GRANTED,
EDGE_INFERENCE_VAULT_ACCESS_REASON_NO_RUNTIME_PRINCIPAL,
EDGE_INFERENCE_VAULT_ACCESS_REASON_VAULT_NOT_FOUND
runtimeServicePrincipalId
string

The Edge's runtime service principal. Empty when reason is NO_RUNTIME_PRINCIPAL.